package thyyxxk.webserver.entity.examinations.lisdock;

import lombok.Data;

@Data
public class ItemResult {
    /**
     * JK01（大便培养) JK02（血液检查） JK03（核酸检测）
     * */
    private String itemCode;
    
    /**
     * 子项的名称：
     * JK01（大便培养）：
     *     细菌性痢疾
     *     伤寒和副伤寒
     *     霍乱
     *     阿米巴性痢疾
     *
     * JK02（血液检查）：
     *     甲型肝炎抗体IGM
     *     戊型肝炎抗体IGM
     *
     * JK03（核酸检测）：
     *     新型冠状病毒感染性肺炎
     * */
    private String itemName;
    
    /**
     * 检验者
     * */
    private String opter;
    
    /**
     * 审核者
     * */
    private String auditOpter;
    
    /**
     * 检测时间：yyyy-MM-dd
     * */
    private String testTime;
    
    /**
     * 审核时间：yyyy-MM-dd
     * */
    private String auditTime;
    
    /**
     * 检测结果
     * */
    private String result;
    
    /**
     * 检测状态：0正常，1异常
     * */
    private String status;
    
    /**
     * 参考值
     * */
    private String reference;
    
    /**
     * 单位
     * */
    private String unit;

    @Override
    public ItemResult clone() {
        ItemResult results = new ItemResult();
        results.setOpter(opter);
        results.setResult(result);
        results.setReference(reference);
        results.setItemName(itemName);
        results.setUnit(unit);
        results.setAuditTime(auditTime);
        results.setItemCode(itemCode);
        results.setTestTime(testTime);
        results.setAuditOpter(auditOpter);
        results.setStatus(status);
        return results;
    }
}
